Intel® oneAPI Base Toolkit
Support for core tools and libraries to build and deploy high-performance data-centric applications
Announcements
Welcome to the Intel Community. If you get an answer you like, please mark it as an Accepted Solution to help others. Thank you!
For the latest information on Intel’s response to the Log4j/Log4Shell vulnerability, please see Intel-SA-00646
255 Discussions

I_MPI_PM environment variable is not supported error

Trupti
Beginner
490 Views

I want to use the test.ini in CosmoMC using 'mpirun -np 5 ./cosmomc test.ini command'

ryzen@ryzen-System-Product-Name:~/CosmoMC$ mpirun -np 5 ./cosmomc test.ini

After I run the command I get the very first error that MPI PM variable is not supported as : 

"[0] MPI startup(): I_MPI_PM environment variable is not supported."

I'm trying hard to resolve this issue but unable to do so. I have installed openmpi-4.1.0 and Intel OneAPI basetoolkit.

Can someone please address this issue?

Thank You.

 

 

0 Kudos
8 Replies
PrasanthD_intel
Moderator
478 Views

Hi Trupti,


We didn't find any references to the environment variable "I_MPI_PM" you are referring to in any of the recent documentation.

When did you last find this variable? in which version? What is the use case for which you are using?

You can find the list of all supported variables using the "impi_info -v" command.


Regards

Prasanth


PrasanthD_intel
Moderator
448 Views

Hi,

We haven't heard back from you.

Could you please provide the info we have asked for?

Regards

Prasanth

Trupti
Beginner
439 Views

I have some other issue I guess. can anyone pleasec guide me hoe to doenload and install Intel Parallel Studio XE 2015 Update 1 from https://software.intel.com/en-us/
fortran-compilers.?

It would really be a great help.

waiting for a reply.

Thank you.

Trupti
Beginner
435 Views

As the problem is with intel compilers I am unable to compile some of the packages. Even after installing HPC toolkit I don't find any proper path to the intel fortran compiler (F90,F77,FC). Configuration of open MPI shows error which reads required fortran compilers are not available.

Can I get acees to Intel parallel studio xe 2015 version anyhow.?

I am unable to run my programs as the initital compiler installation process is not successful.

Please assist me ASAP.

PrasanthD_intel
Moderator
418 Views

Hi Trupti,


To find the compiler path for mpifc,mpif90,mpif77 you must source setvars.sh after installing the HPC toolkit.

Command : source <install_path>/setvars.sh intel64

You said that your compiler installation was failed could you tell us why it failed?

I can see that Parallel Studio 2017u8 is the oldest version available for download at Products - Intel® Products and you need to be a registered user to download that. Is there any specific need for old compilers?


Regards

Prasanth


Trupti
Beginner
412 Views

Dear PrashanthD,

I have set the path to the compiler folders correctly. I can make use of ifort now.

I think thye issue has resolved now. 

Anyway thanks for your assistance.

 

Trupti

PrasanthD_intel
Moderator
406 Views

Hi Trupti,


Glad we could be of help.

As you said your issue is resolved, let us know if we can close this thread.

Regards

Prasanth


PrasanthD_intel
Moderator
367 Views

Hi Trupthi,


Thanks for the confirmation.

As your issue has been resolved, we are closing this thread. We will no longer respond to this thread. If you require additional assistance from Intel, please start a new thread. Any further interaction in this thread will be considered community only


Regards

Prasanth



Reply